<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_rectangle_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_rectangle_t Struct Reference</h1><!-- doxytag: class="vx_rectangle_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The rectangle data structure that is shared with the users. The area of the rectangle can be computed as (end_x-start_x)*(end_y-start_y). </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__rectangle__t.html#ab7cb39d467e8e8e0efe08431e35f8397">start_x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The Start X coordinate.  <a href="#ab7cb39d467e8e8e0efe08431e35f8397"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__rectangle__t.html#ae2871975c8b902c837435a7f193faaa3">start_y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The Start Y coordinate.  <a href="#ae2871975c8b902c837435a7f193faaa3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__rectangle__t.html#acad6d4f2351b7bb779717f529763bc26">end_x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The End X coordinate.  <a href="#acad6d4f2351b7bb779717f529763bc26"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__rectangle__t.html#a708920095a9e4589326039437015eeff">end_y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The End Y coordinate.  <a href="#a708920095a9e4589326039437015eeff"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ab7cb39d467e8e8e0efe08431e35f8397"></a><!-- doxytag: member="vx_rectangle_t::start_x" ref="ab7cb39d467e8e8e0efe08431e35f8397" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__rectangle__t.html#ab7cb39d467e8e8e0efe08431e35f8397">vx_rectangle_t::start_x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The Start X coordinate. </p>

</div>
</div>
<a class="anchor" id="ae2871975c8b902c837435a7f193faaa3"></a><!-- doxytag: member="vx_rectangle_t::start_y" ref="ae2871975c8b902c837435a7f193faaa3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__rectangle__t.html#ae2871975c8b902c837435a7f193faaa3">vx_rectangle_t::start_y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The Start Y coordinate. </p>

</div>
</div>
<a class="anchor" id="acad6d4f2351b7bb779717f529763bc26"></a><!-- doxytag: member="vx_rectangle_t::end_x" ref="acad6d4f2351b7bb779717f529763bc26" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__rectangle__t.html#acad6d4f2351b7bb779717f529763bc26">vx_rectangle_t::end_x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The End X coordinate. </p>

</div>
</div>
<a class="anchor" id="a708920095a9e4589326039437015eeff"></a><!-- doxytag: member="vx_rectangle_t::end_y" ref="a708920095a9e4589326039437015eeff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__rectangle__t.html#a708920095a9e4589326039437015eeff">vx_rectangle_t::end_y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The End Y coordinate. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
